Bug 101456 - perl .so:s don't get stripped and included in the debug
Summary: perl .so:s don't get stripped and included in the debug
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: net-snmp   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-08-01 14:10 UTC by Kaj J. Niemi
Modified: 2015-03-05 01:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-05 12:18:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kaj J. Niemi 2003-08-01 14:10:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:

Looks like not all of the libraries have the correct permissions before
attempting to extract debug info and stripping them:
....
extracting debug info from /var/tmp/net-snmp-root/usr/lib/libsnmp.so.5.0.8
extracting debug info from /var/tmp/net-snmp-root/usr/lib/libnetsnmpagent.so.5.0.8
extracting debug info from /var/tmp/net-snmp-root/usr/lib/libnetsnmpmibs.so.5.0.8
extracting debug info from /var/tmp/net-snmp-root/usr/lib/libnetsnmphelpers.so.5.0.8
extracting debug info from
/var/tmp/net-snmp-root/usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi/auto/NetSNMP/default_store/default_store.so
eu-strip: while opening
"/var/tmp/net-snmp-root/usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi/auto/NetSNMP/default_store/default_store.so":
Permission denied
extracting debug info from
/var/tmp/net-snmp-root/usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi/auto/NetSNMP/ASN/ASN.so
eu-strip: while opening
"/var/tmp/net-snmp-root/usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi/auto/NetSNMP/ASN/ASN.so":
Permission denied
extracting debug info from
/var/tmp/net-snmp-root/usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi/auto/NetSNMP/OID/OID.so
eu-strip: while opening
"/var/tmp/net-snmp-root/usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi/auto/NetSNMP/OID/OID.so":
Permission denied
extracting debug info from
/var/tmp/net-snmp-root/usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi/auto/NetSNMP/agent/agent.so
eu-strip: while opening
"/var/tmp/net-snmp-root/usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi/auto/NetSNMP/agent/agent.so":
Permission denied
extracting debug info from
/var/tmp/net-snmp-root/usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi/auto/NetSNMP/agent/default_store/default_store.so
eu-strip: while opening
"/var/tmp/net-snmp-root/usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi/auto/NetSNMP/agent/default_store/default_store.so":
Permission denied
extracting debug info from
/var/tmp/net-snmp-root/usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi/auto/SNMP/SNMP.so
eu-strip: while opening
"/var/tmp/net-snmp-root/usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi/auto/SNMP/SNMP.so":
Permission denied
extracting debug info from /var/tmp/net-snmp-root/usr/sbin/snmpd
extracting debug info from /var/tmp/net-snmp-root/usr/sbin/snmptrapd
....



Version-Release number of selected component (if applicable):
net-snmp-5.0.8-6.1

How reproducible:
Always

Steps to Reproduce:
1. rpm -ivh net-snmp-5.0.8-6.1.src.rpm
2. rpmbuild -ba net-snmp.spec
3. watch and wait
    

Expected Results:  The perl libraries should be included as well.
rpm -qp -vvvv -l
/usr/src/redhat/RPMS/i386/net-snmp-debuginfo-5.0.8-6.2.i386.rpm|egrep perl5
D: Expected size:      2973972 = lead(96)+sigs(180)+pad(4)+data(2973692)
D:   Actual size:      2973972
D: /usr/src/redhat/RPMS/i386/net-snmp-debuginfo-5.0.8-6.2.i386.rpm: MD5 digest:
OK (918dd5885211760f4d3fabc0a0ab885b)
-rwxr-xr-x    1 root    root            80484 Aug  1 17:05
/usr/lib/debug/usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi/auto/NetSNMP/ASN/ASN.so.debug
-rwxr-xr-x    0 root    root            90896 Aug  1 17:05
/usr/lib/debug/usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi/auto/NetSNMP/OID/OID.so.debug
-rwxr-xr-x    1 root    root           109688 Aug  1 17:05
/usr/lib/debug/usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi/auto/NetSNMP/agent/agent.so.debug
-rwxr-xr-x    1 root    root            76504 Aug  1 17:05
/usr/lib/debug/usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi/auto/NetSNMP/agent/default_store/default_store.so.debug
-rwxr-xr-x    1 root    root            88892 Aug  1 17:05
/usr/lib/debug/usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi/auto/NetSNMP/default_store/default_store.so.debug
-rwxr-xr-x    1 root    root           131264 Aug  1 17:05
/usr/lib/debug/usr/lib/perl5/vendor_perl/5.8.1/i386-linux-thread-multi/auto/SNMP/SNMP.so.debug


Additional info:

Fix follows, add to %%install:

find $RPM_BUILD_ROOT -name '*.so' | xargs chmod 0755

Comment 1 Phil Knirsch 2003-08-05 12:18:28 UTC
Fixed in net-snmp-5.0.8-7 and later.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.